## bowtie2 2.0.0-beta5

=== debian/changelog ===
bowtie2 (2.0.0-beta5-1) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * Initial release (Closes: #660762)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 22 Feb 2012 11:03:03 +0100
