=== debian/control ===
Source: bowtie2
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Build-Depends: debhelper (>= 8.0), help2man
Standards-Version: 3.9.2
Homepage: http://bowtie-bio.sourceforge.net/bowtie2
Vcs-Browser: http://git.debian.org/?p=debian-med/bowtie2.git
Vcs-Git: git://git.debian.org/debian-med/bowtie2.git

Package: bowtie2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bowtie2-examples
Description: ultrafast memory-efficient short read aligner
 is an ultrafast and memory-efficient tool for aligning sequencing reads 
 to long reference sequences. It is particularly good at aligning reads 
 of about 50 up to 100s or 1,000s of characters, and particularly good 
 at aligning to relatively long (e.g. mammalian) genomes. 
 .
 Bowtie 2 indexes the genome with an FM Index to keep its memory footprint
 small: for the human genome, its memory footprint is typically 
 around 3.2 GB. Bowtie 2 supports gapped, local, and paired-end alignment modes

Package: bowtie2-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: bowtie2
Enhances: bowtie2
Description: Examples for bowtie2, 
 an ultrafast and memory-efficient tool for aligning sequencing reads 
 to long reference sequences. It is particularly good at aligning reads 
 of about 50 up to 100s or 1,000s of characters, and particularly good 
 at aligning to relatively long (e.g. mammalian) genomes. 
 .
 Bowtie 2 indexes the genome with an FM Index to keep its memory footprint
 small: for the human genome, its memory footprint is typically 
 around 3.2 GB. Bowtie 2 supports gapped, local, and paired-end alignment modes
 .
 This package provides some example data to work with bowtie2.
