=== debian/rules ===
#!/usr/bin/make -f

pkg=$(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
	help2man --name="wrapper for $(pkg)-align" --no-info \
		$(CURDIR)/$(pkg) > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/$(pkg).1
	help2man --name="building a colorspace index for $(pkg)" --no-info \
		$(CURDIR)/$(pkg)-build > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/$(pkg)-build.1
	help2man --name="extracts information from a $(pkg) index" --no-info \
		$(CURDIR)/$(pkg)-inspect > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/$(pkg)-inspect.1
	help2man --name="ultrafast and memory-efficient tool for aligning sequencing reads to long reference sequences" --no-info \
	    $(CURDIR)/$(pkg)-align> $(CURDIR)/debian/$(pkg)/usr/share/man/man1/$(pkg)-align.1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	. debian/get-orig-source
