=== debian/watch ===
version=3

http://sf.net/bowtie-bio/bowtie2-([\d\.]+\-beta\d)\.zip
