## bowtie2 2.0.0-beta6

=== debian/changelog ===
bowtie2 (2.0.0-beta6-3) unstable; urgency=low

  * normalized architecture detection.
    For example kfreebsd-amd64 is detected as an amd64 architecture 
    and msse flag is set.(Previous commit was wrong) (Closes: #673159)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 01 Jun 2012 21:58:49 +0200

bowtie2 (2.0.0-beta6-2) unstable; urgency=low

  * debian/rules normalized output of dpkg-architecture,  
    so for example kfreebsd-amd64 is detected as an amd64 architecture 
    and sse flags are enabled for it.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 31 May 2012 19:22:56 +0200

bowtie2 (2.0.0-beta6-1) unstable; urgency=low

  * updated debian/watch and get-orig-source to track -source suffix
  * Imported Upstream version 2.0.0-beta6
  * debian/patches/fix_makefile_machine_detection.patch
    use -msse2 only for Intel architectures, Closes: #672526

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 11 May 2012 08:41:59 +0200

bowtie2 (2.0.0-beta5-2) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * file sse_util.h has missing copyright header. 
    The Author (Benjamin Langmead) has
    confirmed that the file is distributed under GPL3 license.

  [ Andreas Tille ]
  * debian/upstream: Added publication
  * debian/patches/fix_makefile_machine_detection.patch + debian/rules:
    prevent -mXX and -msse2 switches for non Intel architectures

  [ Alexandre Mestiashvili ]
  * debian/patches/bowtie2_gcc4.7.patch Closes: #672090
  * updated DEP3 headers
  * bumperd Standards-Version to 3.9.3
  * uname -m doesn't detect 32 bit chroot env - updated patcH

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2012 13:59:54 +0200
