=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
+Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
+ Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 8.0), help2man
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://bowtie-bio.sourceforge.net/bowtie2
 Vcs-Browser: http://git.debian.org/?p=debian-med/bowtie2.git
 Vcs-Git: git://git.debian.org/debian-med/bowtie2.git
