=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,21 @@
 #!/usr/bin/make -f
 
-pkg=$(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+arch := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null | awk -F- '{print $$NF}')
+
+# ENABLE_SSE=0
+ifeq ($(arch),i386)
+    ENABLE_SSE=1
+endif
+ifeq ($(arch),amd64)
+    ENABLE_SSE=1
+endif
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- ENABLE_SSE=$(ENABLE_SSE)
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
