=== debian/changelog ===
bowtie2 (2.0.5-1) unstable; urgency=low

  * Imported Upstream version 2.0.5

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 11 Jan 2013 11:19:34 +0100

bowtie2 (2.0.4-1) unstable; urgency=low

  * Imported Upstream version 2.0.4

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 27 Dec 2012 17:33:36 +0100

bowtie2 (2.0.2-1) unstable; urgency=low

  [ Carlos Borroto ]
  * Imported Upstream version 2.0.2
  * bowtie2_gcc4.7.patch no longer needed

  [ Alexandre Mestiashvili ]
  * added autopkgtest testsuite
  * updated Uploaders field

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 19 Nov 2012 16:31:02 +0100

bowtie2 (2.0.0-beta7-1) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * debian/control force architcures to i386/amd64 kfreebsd-i386/amd64 and 
    hurd-i386 SSE is not availbale on others. Closes: #668123 
  * debhelper version 9
  * debian/rules forced hardening flags
  * hardening.patch to inject hardening CPPFLAGS
  * Imported Upstream version 2.0.0-beta7
  * debian/bowtie2.lintian-overrides to avoid lintian's waring
    to be fixed by using epochs and tilda in upstream version 

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 30 Jul 2012 13:51:31 +0200
