=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8.0), help2man
+ Andreas Tille <tille@debian.org>,
+ Carlos Borroto <carlos.borroto@gmail.com>
+Build-Depends: debhelper (>= 9.0), help2man
 Standards-Version: 3.9.3
+XS-Testsuite: autopkgtest
 Homepage: http://bowtie-bio.sourceforge.net/bowtie2
 Vcs-Browser: http://git.debian.org/?p=debian-med/bowtie2.git
 Vcs-Git: git://git.debian.org/debian-med/bowtie2.git
 
 Package: bowtie2
-Architecture: any
+Architecture: amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bowtie2-examples
 Description: ultrafast memory-efficient short read aligner
