=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 arch := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null | awk -F- '{print $$NF}')
+
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+EXTRA_FLAGS := $(LDFLAGS)
+
 
 # ENABLE_SSE=0
 ifeq ($(arch),i386)
@@ -15,7 +20,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- ENABLE_SSE=$(ENABLE_SSE)
+	dh_auto_build -- ENABLE_SSE=$(ENABLE_SSE) EXTRA_FLAGS=$(EXTRA_FLAGS) CPPFLAGS=$(CPPFLAGS)
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
