## bowtie2 2.1.0

=== Makefile ===
--- 
+++ 
@@ -28,62 +28,69 @@
 CPP = $(GCC_PREFIX)/g++$(GCC_SUFFIX)
 CXX = $(CPP)
 HEADERS = $(wildcard *.h)
-BOWTIE_PTHREADS = 1
 BOWTIE_MM = 1
 BOWTIE_SHARED_MEM = 0
 
 # Detect Cygwin or MinGW
 WINDOWS = 0
+CYGWIN = 0
+MINGW = 0
 ifneq (,$(findstring CYGWIN,$(shell uname)))
-WINDOWS = 1
-# POSIX memory-mapped files not currently supported on Windows
-BOWTIE_MM = 0
-BOWTIE_SHARED_MEM = 0
+	WINDOWS = 1 
+	CYGWIN = 1
+	# POSIX memory-mapped files not currently supported on Windows
+	BOWTIE_MM = 0
+	BOWTIE_SHARED_MEM = 0
 else
-ifneq (,$(findstring MINGW,$(shell uname)))
-WINDOWS = 1
-# POSIX memory-mapped files not currently supported on Windows
-BOWTIE_MM = 0
-BOWTIE_SHARED_MEM = 0
-endif
+	ifneq (,$(findstring MINGW,$(shell uname)))
+		WINDOWS = 1
+		MINGW = 1
+		# POSIX memory-mapped files not currently supported on Windows
+		BOWTIE_MM = 0
+		BOWTIE_SHARED_MEM = 0
+	endif
 endif
 
 MACOS = 0
 ifneq (,$(findstring Darwin,$(shell uname)))
-MACOS = 1
+	MACOS = 1
 endif
 
 MM_DEF = 
+
 ifeq (1,$(BOWTIE_MM))
-MM_DEF = -DBOWTIE_MM
-endif
+	MM_DEF = -DBOWTIE_MM
+endif
+
 SHMEM_DEF = 
+
 ifeq (1,$(BOWTIE_SHARED_MEM))
-SHMEM_DEF = -DBOWTIE_SHARED_MEM
-endif
+	SHMEM_DEF = -DBOWTIE_SHARED_MEM
+endif
+
 PTHREAD_PKG =
-PTHREAD_LIB =
-PTHREAD_DEF =
-ifeq (1,$(BOWTIE_PTHREADS))
-PTHREAD_DEF = -DBOWTIE_PTHREADS
-ifeq (1,$(WINDOWS))
-# pthreads for windows forces us to be specific about the library
-PTHREAD_LIB = -lpthreadGC2
-PTHREAD_PKG = pthreadGC2.dll
+PTHREAD_LIB = 
+
+ifeq (1,$(MINGW))
+	PTHREAD_LIB = 
 else
-# There's also -pthread, but that only seems to work on Linux
-PTHREAD_LIB = -lpthread
-endif
-endif
-
-LIBS = 
-SEARCH_LIBS = $(PTHREAD_LIB)
-BUILD_LIBS =
+	PTHREAD_LIB = -lpthread
+endif
+
+LIBS = $(PTHREAD_LIB)
+SEARCH_LIBS = 
+BUILD_LIBS = 
+INSPECT_LIBS =
+
+ifeq (1,$(MINGW))
+	BUILD_LIBS = 
+	INSPECT_LIBS = 
+endif
 
 SHARED_CPPS = ccnt_lut.cpp ref_read.cpp alphabet.cpp shmem.cpp \
               edit.cpp bt2_idx.cpp bt2_io.cpp bt2_util.cpp \
               reference.cpp ds.cpp multikey_qsort.cpp limit.cpp \
-			  random_source.cpp
+			  random_source.cpp tinythread.cpp
 SEARCH_CPPS = qual.cpp pat.cpp sam.cpp \
               read_qseq.cpp aligner_seed_policy.cpp \
               aligner_seed.cpp \
@@ -109,21 +116,27 @@
 
 SEARCH_FRAGMENTS = $(wildcard search_*_phase*.c)
 VERSION = $(shell cat VERSION)
-EXTRA_FLAGS =
 
 # Convert BITS=?? to a -m flag
 BITS=32
 ifeq (x86_64,$(shell uname -m))
 BITS=64
 endif
+# msys will always be 32 bit so look at the cpu arch instead.
+ifneq (,$(findstring AMD64,$(PROCESSOR_ARCHITEW6432)))
+	ifeq (1,$(MINGW))
+		BITS=64
+	endif
+endif
 BITS_FLAG =
+
 ifeq (32,$(BITS))
-BITS_FLAG = -m32
-endif
+	BITS_FLAG = -m32
+endif
+
 ifeq (64,$(BITS))
-BITS_FLAG = -m64
-endif
-
+	BITS_FLAG = -m64
+endif
 SSE_FLAG=-msse2
 
 DEBUG_FLAGS    = -O0 -g3 $(BITS_FLAG) $(SSE_FLAG)
@@ -189,7 +202,6 @@
      -DBUILD_TIME="\"`date`\"" \
      -DCOMPILER_VERSION="\"`$(CXX) -v 2>&1 | tail -1`\"" \
      $(FILE_FLAGS) \
-     $(PTHREAD_DEF) \
      $(PREF_DEF) \
      $(MM_DEF) \
      $(SHMEM_DEF)
@@ -205,7 +217,7 @@
 		-o $@ $< \
 		$(SHARED_CPPS) $(BUILD_CPPS_MAIN) \
 		$(LIBS) $(BUILD_LIBS)
-
+        
 bowtie2-build-debug: bt2_build.cpp $(SHARED_CPPS) $(HEADERS)
 	$(CXX) $(DEBUG_FLAGS) $(DEBUG_DEFS) $(EXTRA_FLAGS) \
 		$(DEFS) -DBOWTIE2 -Wall \
@@ -246,7 +258,7 @@
 		$(INC) -I . \
 		-o $@ $< \
 		$(SHARED_CPPS) \
-		$(LIBS)
+		$(LIBS) $(INSPECT_LIBS)
 
 bowtie2-inspect-debug: bt2_inspect.cpp $(HEADERS) $(SHARED_CPPS) 
 	$(CXX) $(DEBUG_FLAGS) \
@@ -255,7 +267,7 @@
 		$(INC) -I . \
 		-o $@ $< \
 		$(SHARED_CPPS) \
-		$(LIBS)
+		$(LIBS) $(INSPECT_LIBS)
 
 .PHONY: bowtie2-src
 bowtie2-src: $(SRC_PKG_LIST)
