=== debian/changelog ===
bowtie2 (2.1.0-2) unstable; urgency=low

  * Closes: #713000 
  * d/control: fixed description for bowtie2-examples,
     bumped Standards-Version,
     removed DM-Upload-Allowed,
     use canonical vcs
  * d/tests/: underscore are not allowed for tests

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 25 Jun 2013 13:58:18 +0200

bowtie2 (2.1.0-1) unstable; urgency=low

  * - d/help2man-wrapper: as kindly suggested by Andreas Tille 
    Closes: #701686
    - d/rules: use help2man-wrapper instead of help2man to generate man pages
  * Imported Upstream version 2.1.0
  * refreshed patches

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 27 Feb 2013 15:58:40 +0100

bowtie2 (2.0.6-1) unstable; urgency=low

  * Imported Upstream version 2.0.6

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 19 Feb 2013 17:30:42 +0100
