=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: science
 Priority: extra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
  Andreas Tille <tille@debian.org>,
  Carlos Borroto <carlos.borroto@gmail.com>
 Build-Depends: debhelper (>= 9.0), help2man
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 XS-Testsuite: autopkgtest
 Homepage: http://bowtie-bio.sourceforge.net/bowtie2
-Vcs-Browser: http://git.debian.org/?p=debian-med/bowtie2.git
-Vcs-Git: git://git.debian.org/debian-med/bowtie2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bowtie2.git
+Vcs-Git: git://anonscm.debian.org/debian-med/bowtie2.git
 
 Package: bowtie2
 Architecture: amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386
@@ -32,8 +31,8 @@
 Depends: ${misc:Depends}
 Recommends: bowtie2
 Enhances: bowtie2
-Description: Examples for bowtie2, 
- an ultrafast and memory-efficient tool for aligning sequencing reads 
+Description: Examples for bowtie2
+ An ultrafast and memory-efficient tool for aligning sequencing reads 
  to long reference sequences. It is particularly good at aligning reads 
  of about 50 up to 100s or 1,000s of characters, and particularly good 
  at aligning to relatively long (e.g. mammalian) genomes.
