=== debian/rules ===
#!/usr/bin/make -f

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
arch := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null | awk -F- '{print $$NF}')

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
EXTRA_FLAGS := $(LDFLAGS)


# ENABLE_SSE=0
ifeq ($(arch),i386)
    ENABLE_SSE=1
endif
ifeq ($(arch),amd64)
    ENABLE_SSE=1
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ENABLE_SSE=$(ENABLE_SSE) EXTRA_FLAGS=$(EXTRA_FLAGS) CPPFLAGS=$(CPPFLAGS)

override_dh_installman:
	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
	debian/help2man-wrapper $(pkg) "wrapper for $(pkg)-align"
	debian/help2man-wrapper $(pkg)-build "building a colorspace index for $(pkg)"
	debian/help2man-wrapper $(pkg)-inspect "extracts information from a $(pkg) index"
	debian/help2man-wrapper $(pkg)-align "ultrafast and memory-efficient tool for aligning sequencing reads to long reference sequences"

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	. debian/get-orig-source
