=== debian/watch ===
version=3

opts=filenamemangle=s/(.*)(-source)(\..*$)/$1$3/\
	http://sf.net/bowtie-bio/bowtie2-([\d\.]+)\-source\.zip
