=== debian/changelog ===
bowtie2 (2.2.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * d/control: Priority: optional
  * add missing DEP3 description

  [ Alexandre Mestiashvili ]
  * d/test/binary-run: test that binary work 
  * d/test/control: add binary-run

  [ Andreas Tille ]
  * New upstream version
  * do uscan call directly in debian/rules instead of separate script
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2014 07:08:46 +0100

bowtie2 (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 03 Jun 2014 16:13:47 +0200

bowtie2 (2.2.2-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 15 Apr 2014 13:40:01 +0200

bowtie2 (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * d/changelog: updated Copyright years

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 07 Mar 2014 09:37:13 +0100

bowtie2 (2.2.0-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 2.2.0

  [ James McCoy ]
  * Move debian/upstream to debian/upstream/metadata

  [ Alexandre Mestiashvili ]
  * refreshed patches, dropped fix_makefile_machine_detection.patch
  * d/control: bump Standards-Version
    Architecture: amd64 kfreebsd-amd64, starting from this version
    bowtie2 works on amd64 only
    added python to Depends:  
  * d/rules: remove i386 related fixes,rules for new binaries  
  * d/bowtie2.install: added new binaries introduced by the new version  

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 20 Feb 2014 13:29:58 +0100
