=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: bowtie2
-Section: science
-Priority: extra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
- Andreas Tille <tille@debian.org>,
- Carlos Borroto <carlos.borroto@gmail.com>
-Build-Depends: debhelper (>= 9.0), help2man
-Standards-Version: 3.9.4
-XS-Testsuite: autopkgtest
+           Andreas Tille <tille@debian.org>,
+           Carlos Borroto <carlos.borroto@gmail.com>
+Section: science
+Testsuite: autopkgtest
+Priority: optional
+Build-Depends: debhelper (>= 9.0),
+               help2man
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bowtie2.git
+Vcs-Git: git://anonscm.debian.org/debian-med/bowtie2.git
 Homepage: http://bowtie-bio.sourceforge.net/bowtie2
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/bowtie2.git
-Vcs-Git: git://anonscm.debian.org/debian-med/bowtie2.git
 
 Package: bowtie2
-Architecture: amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 kfreebsd-amd64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         python
 Suggests: bowtie2-examples
 Description: ultrafast memory-efficient short read aligner
  is an ultrafast and memory-efficient tool for aligning sequencing reads
