=== debian/changelog ===
bowtie2 (2.2.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 28 Apr 2015 18:06:34 +0200

bowtie2 (2.2.5-1) experimental; urgency=medium

  * Imported Upstream version 2.2.5

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 18 Mar 2015 10:09:35 +0100

bowtie2 (2.2.4-2) unstable; urgency=medium

  * d/control: add python dependency, needed to build bowtie2-build man page
    Closes: #769934
  * d/watch: fix upstream url parsing, see #766878
  * d/rules: remove byte-compiled bowtie2-buildc

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 18 Nov 2014 23:28:33 +0100
