=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9.0),
-               help2man
+               help2man,
+               python
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bowtie2.git
 Vcs-Git: git://anonscm.debian.org/debian-med/bowtie2.git
