=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	debian/help2man-wrapper $(pkg)-inspect-s "extracts information from a $(pkg) index"
 	debian/help2man-wrapper $(pkg)-align-l "ultrafast and memory-efficient backend tool for aligning sequencing reads to long reference sequences"
 	debian/help2man-wrapper $(pkg)-align-s "ultrafast and memory-efficient backend tool for aligning sequencing reads to long reference sequences"
+	rm -f $(CURDIR)/debian/$(pkg)/usr/bin/bowtie2-buildc
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
